%define pkgname apps

Summary: X.Org X11 applications
Name: xorg-x11-%{pkgname}
# NOTE: The package version should be set to the X11 major release from which
# the OS release is based upon.
Version: 7.1
Release: 4.0.1%{?dist}
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Clock apps
Source0:  ftp://ftp.x.org/pub/individual/app/oclock-1.0.1.tar.bz2
Source1:  ftp://ftp.x.org/pub/individual/app/xclock-1.0.2.tar.bz2
# X Window Dump (xwd) utilities
Source2:  ftp://ftp.x.org/pub/individual/app/xwd-1.0.1.tar.bz2
Source3:  ftp://ftp.x.org/pub/individual/app/xwud-1.0.1.tar.bz2
Source4:  ftp://ftp.x.org/pub/individual/app/xpr-1.0.1.tar.bz2
# Miscellaneous other applications
Source5:  ftp://ftp.x.org/pub/individual/app/luit-1.0.1.tar.bz2
Source6:  ftp://ftp.x.org/pub/individual/app/x11perf-1.4.1.tar.bz2
Source7:  ftp://ftp.x.org/pub/individual/app/xbiff-1.0.1.tar.bz2
Source8:  ftp://ftp.x.org/pub/individual/app/xclipboard-1.0.1.tar.bz2
Source9:  ftp://ftp.x.org/pub/individual/app/xconsole-1.0.2.tar.bz2
Source10: ftp://ftp.x.org/pub/individual/app/xcursorgen-1.0.1.tar.bz2
Source11: ftp://ftp.x.org/pub/individual/app/xeyes-1.0.1.tar.bz2
Source12: ftp://ftp.x.org/pub/individual/app/xkill-1.0.1.tar.bz2
Source13: ftp://ftp.x.org/pub/individual/app/xload-1.0.1.tar.bz2
Source14: ftp://ftp.x.org/pub/individual/app/xlogo-1.0.1.tar.bz2
Source15: ftp://ftp.x.org/pub/individual/app/xmag-1.0.1.tar.bz2
Source16: ftp://ftp.x.org/pub/individual/app/xmessage-1.0.1.tar.bz2

Patch0: x11perf-1.4.1-x11perf-datadir-cleanups.patch
Patch1: luit-1.0.1-locale.alias-datadir.patch
Patch2: fix-race-condition.patch
Patch3: xopen-source.patch
Patch4: int-overflow.patch
Patch10: ftp://ftp.freedesktop.org/pub/xorg/X11R7.1/patches/xload-1.0.1-setuid.diff

# FIXME: Temporary dependencies on autotools packages for now
BuildRequires: autoconf automake

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
# xbiff needs xbitmaps-devel
BuildRequires: xbitmaps-devel
BuildRequires: zlib-devel
BuildRequires: libfontenc-devel
BuildRequires: libX11-devel
BuildRequires: libXmu-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: libXaw-devel
BuildRequires: libXpm-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXcursor-devel
BuildRequires: libpng-devel
BuildRequires: libXfixes-devel

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides: luit oclock x11perf xbiff xclipboard xclock xconsole xcursorgen
Provides: xeyes xkill xload xlogo xmag xmessage xpr xwd xwud

# NOTE: xwd, xwud, luit used to be in these.
Obsoletes: XFree86, xorg-x11
# NOTE: x11perf, xclipboard used to be in these.
Obsoletes: XFree86-tools, xorg-x11-tools
%description
A collection of common X Window System applications.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16
%patch0 -p0 -b .x11perf-datadir-cleanups
%patch1 -p0 -b .locale.alias-datadir
%patch2 -p1 -b .fix-race-condition
%patch3 -p1 -b .xopen-source
%patch4 -p1 -b .int-overflow

%patch10 -p0 -b .setuid

%build
# Build all apps
{
   for app in * ; do
      pushd $app

      case $app in
         x11perf*)
            aclocal ; automake ; autoconf
         ;;
         luit*)
            autoconf
         ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%doc
%{_bindir}/luit
%{_bindir}/oclock
%{_bindir}/x11perf
%{_bindir}/x11perfcomp
%{_bindir}/xbiff
%{_bindir}/xclipboard
%{_bindir}/xclock
%{_bindir}/xconsole
%{_bindir}/xcursorgen
%{_bindir}/xcutsel
%{_bindir}/xdpr
%{_bindir}/xeyes
%{_bindir}/xkill
%{_bindir}/xload
%{_bindir}/xlogo
%{_bindir}/xmag
%{_bindir}/xmessage
%{_bindir}/xpr
%{_bindir}/xwd
%{_bindir}/xwud
%dir %{_datadir}/X11
%{_datadir}/X11/app-defaults/Clock-color
%{_datadir}/X11/app-defaults/XClipboard
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_datadir}/X11/app-defaults/XConsole
%{_datadir}/X11/app-defaults/XLoad
%{_datadir}/X11/app-defaults/XLogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_datadir}/X11/app-defaults/Xmag
%{_datadir}/X11/app-defaults/Xmessage
%{_datadir}/X11/app-defaults/Xmessage-color
%dir %{_datadir}/X11/x11perfcomp
%{_datadir}/X11/x11perfcomp/Xmark
%{_datadir}/X11/x11perfcomp/fillblnk
%{_datadir}/X11/x11perfcomp/perfboth
%{_datadir}/X11/x11perfcomp/perfratio
#%dir %{_mandir}/man1x
%{_mandir}/man1/xcursorgen.1x*
%{_mandir}/man1/Xmark.1x*
%{_mandir}/man1/luit.1x*
%{_mandir}/man1/oclock.1x*
%{_mandir}/man1/x11perf.1x*
%{_mandir}/man1/x11perfcomp.1x*
%{_mandir}/man1/xbiff.1x*
%{_mandir}/man1/xclipboard.1x*
%{_mandir}/man1/xclock.1x*
%{_mandir}/man1/xconsole.1x*
%{_mandir}/man1/xcutsel.1x*
%{_mandir}/man1/xdpr.1x*
%{_mandir}/man1/xeyes.1x*
%{_mandir}/man1/xkill.1x*
%{_mandir}/man1/xload.1x*
%{_mandir}/man1/xlogo.1x*
%{_mandir}/man1/xmag.1x*
%{_mandir}/man1/xmessage.1x*
%{_mandir}/man1/xpr.1x*
%{_mandir}/man1/xwd.1x*
%{_mandir}/man1/xwud.1x*

%changelog
* Thu Mar 22 2007 Soren Sandmann <sandmann@redhat.com> 7.1-4.0.1.el5
- Add int-overflow.patch (bug 231694).

* Mon Nov 13 2006 Soren Sandmann <sandmann@redhat.com> 7.1-4.eo5
- Add xopen-source patch to fix missing declaration of ptsname(). Bug 214775.

* Mon Oct 2 2006 Soren Sandmann <sandmann@redhat.com> 7.1-3.fc6
- Fix race condition in luit (Bug 197165).

* Wed Jul 19 2006 Mike A. Harris <mharris@redhat.com> 7.1-2.fc6
- Remove app-defaults dir from file manifest, as it is owned by libXt (#174021)
- Add 'dist' tag to package release string.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 7.1-1.1
- rebuild

* Tue Jun 20 2006 Mike A. Harris <mharris@redhat.com> 7.1-1
- Added xload-1.0.1-setuid.diff to fix potential security issue (#196094)
- Artificially inflate package version-release to 7.1 to match the X11R7.1
  release that all of the tarballs are taken from.
- Update to xconsole-1.0.2, xcursorgen-1.0.1 from X11R7.1
- Add temporary dependency on autoconf, automake for brew builds.

* Fri May 26 2006 Adam Jackson <ajackson@redhat.com> 1.0.3-2
- Add more BuildRequires to fix mock builds.  (#191896)

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.3-1
- Updated xclock and xconsole

* Thu Mar 02 2006 Adam Jackson <ajackson@redhat.com> 1.0.2-1
- Bump x11perf to 1.4.1 from upstream.

* Fri Feb 24 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added luit-1.0.1-locale.alias-datadir.patch to fix bug (#181785)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Upgraded all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Upgraded all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default now.
- Dropped all of the datadir-cleanups patches added in the previous build.
- Added x11perf-1.0.0-x11perf-datadir-cleanups.patch as it is still needed
  to put the helper scripts in datadir.
- Added --disable-xprint to configure, as a great symbolic jesture.

* Wed Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3" to workaround
  (#173384)
- Added the following patches, and invoke aclocal/automake/autoconf on them
  to force app-defaults and other datafiles into _datadir instead of _libdir:
  - oclock-0.99.1-oclock-datadir-cleanups.patch
  - x11perf-0.99.1-x11perf-datadir-cleanups.patch
  - xclipboard-0.99.1-xclipboard-datadir-cleanups.patch
  - xclock-0.99.1-xclock-datadir-cleanups.patch
  - xconsole-0.99.2-xconsole-datadir-cleanups.patch
  - xload-0.99.1-xload-datadir-cleanups.patch
  - xlogo-0.99.1-xlogo-datadir-cleanups.patch
  - xmag-0.99.1-xmag-datadir-cleanups.patch
  - xmessage-0.99.1-xmessage-datadir-cleanups.patch
- Added luit-0.99.1-luit-locale-dir-fix.patch to fix bug (#173702)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.2-3
- add Requires(pre) on newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Add "Obsoletes: XFree86, XFree86-tools, xorg-x11, xorg-x11-tools", as 
  various utils have moved here from there in monolithic X packaging.
- Add "BuildRequires: xbitmaps-devel" for xbiff.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2.
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
- Temporary hack to move xcursorgen manpage to 'man1' dir.
